Sets the maximum number of characters of the field to return

- « SolrQuery::setHighlightHighlightMultiTerm

- SolrQuery::setHighlightMaxAnalyzedChars »

- PHP Manual
- SolrQuery
- Sets the maximum number of characters of the field to return

# SolrQuery::setHighlightMaxAlternateFieldLength

(PECL solr >= 0.9.2)

SolrQuery::setHighlightMaxAlternateFieldLength — Sets the maximum number of characters of the field to return

### Description

public SolrQuery::setHighlightMaxAlternateFieldLength(int `$fieldLength`, string `$field_override` = ?): SolrQuery

If SolrQuery::setHighlightAlternateField() was passed the value `true`, this parameter specifies the maximum number of characters of the field to return

Any value less than or equal to 0 means unlimited.

### Parameters

`fieldLength`

  The length of the field

`field_override`

  The name of the field.

### Return Values

Returns the current SolrQuery object, if the return value is used.